Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637270 - =net-fs/autofs-5.1.3 with >=sys-libs/glibc-2.26 - configure: error: required program RPCGEN not found
Summary: =net-fs/autofs-5.1.3 with >=sys-libs/glibc-2.26 - configure: error: required ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Yixun Lan
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2017-11-12 19:36 UTC by nvinson234
Modified: 2017-12-09 17:13 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
autofs-5.1.3.ebuild.patch (autofs-5.1.3.ebuild.patch,537 bytes, patch)
2017-11-12 19:36 UTC, nvinson234
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nvinson234 2017-11-12 19:36:59 UTC
Created attachment 503814 [details, diff]
autofs-5.1.3.ebuild.patch

glibc-2.26 no longer builds rpc support which causes autofs-5.1.3 to fail to build.  I have attached a patch for the ebuild that fixes this issue.
Comment 1 Andreas K. Hüttel gentoo-dev 2017-11-13 14:46:14 UTC
(In reply to nvinson234 from comment #0)
> Created attachment 503814 [details, diff] [details, diff]
> autofs-5.1.3.ebuild.patch
> 
> glibc-2.26 no longer builds rpc support which causes autofs-5.1.3 to fail to
> build.  I have attached a patch for the ebuild that fixes this issue.

ehm... could you please explain in words what this dependency should mean? (because I dont understand it and it looks wrong to me...)
Comment 2 nvinson234 2017-11-13 15:20:22 UTC
(In reply to Andreas K. Hüttel from comment #1)
> (In reply to nvinson234 from comment #0)
> > Created attachment 503814 [details, diff] [details, diff] [details, diff]
> > autofs-5.1.3.ebuild.patch
> > 
> > glibc-2.26 no longer builds rpc support which causes autofs-5.1.3 to fail to
> > build.  I have attached a patch for the ebuild that fixes this issue.
> 
> ehm... could you please explain in words what this dependency should mean?
> (because I dont understand it and it looks wrong to me...)

Please explain why you think it's wrong.  It'll be faster to address that directly than indirectly.
Comment 3 Ulrich Müller gentoo-dev 2017-11-13 23:04:53 UTC
USE conditionals inside || ( ) are almost always wrong. I think what you want there is something like this, in DEPEND only:

    || ( net-libs/rpcsvc-proto <sys-libs/glibc-2.26 )

in order to make /usr/bin/rpcgen available at build time.


There still remains another problem, namely that autofs cannot be built with USE="-libtiprc" any longer, against glibc-2.26.
Comment 4 Dan Goodliffe 2017-11-23 22:45:37 UTC
I'm having a similar problem, presumably with the same cause, building samba.

[ebuild   R    ] sys-libs/glibc-2.26-r3:2.2::gentoo  USE="caps hardened nscd -audit -debug -gd (-multilib) (-profile) (-selinux) -suid -systemtap (-vanilla)" 0 KiB
[ebuild     U  ] net-fs/samba-4.7.3::gentoo [4.7.1::gentoo] USE="acl cluster fam ldap pam syslog systemd -addc -addns -ads -ceph -client -cups -debug -dmapi -gnutls -gpg -iprint -python -quota (-selinux) (-system-heimdal) -system-mitkrb5 {-test} -winbind -zeroconf" PYTHON_TARGETS="python2_7" 0 KiB

Cutting a long story short:

14:35:20 runner  rpcgen -h ../ctdb/utils/smnotify/smnotify.x > default/ctdb/utils/smnotify/smnotify.h
/bin/sh: rpcgen: command not found

If so... should I open a separate bug for it or is it an extension of this one? Thanks.
Comment 5 Stefan Schmid 2017-11-24 13:48:48 UTC
Same (In reply to Dan Goodliffe from comment #4)
> I'm having a similar problem, presumably with the same cause, building samba.

Same Problem here, impossible to build "net-fs/samba" or "net-firewall/xtables-addons" without the binary "/usr/bin/rpcgen".

Please fix it fast, downgrade of glibc is not supported:
 * Sanity check to keep you from breaking your system:
 *  Downgrading glibc is not supported and a sure way to destruction
 * ERROR: sys-libs/glibc-2.25-r9::gentoo failed (pretend phase):
 *   aborting to save your system
Comment 6 Larry the Git Cow gentoo-dev 2017-12-09 17:10:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fe9268ea2281373e5b1325749c2ce077886cb1c

commit 0fe9268ea2281373e5b1325749c2ce077886cb1c
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2017-12-09 17:09:38 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2017-12-09 17:10:02 +0000

    net-fs/autofs: depend on net-libs/rpcsvc-proto
    
    Closes: https://bugs.gentoo.org/637270
    Package-Manager: Portage-2.3.15, Repoman-2.3.6_p7

 net-fs/autofs/Manifest            | 2 +-
 net-fs/autofs/autofs-5.1.2.ebuild | 4 +++-
 net-fs/autofs/autofs-5.1.3.ebuild | 4 +++-
 3 files changed, 7 insertions(+), 3 deletions(-)
Comment 7 Mike Gilbert gentoo-dev 2017-12-09 17:12:15 UTC
(In reply to Stefan Schmid from comment #5)
> Same Problem here, impossible to build "net-fs/samba" or
> "net-firewall/xtables-addons" without the binary "/usr/bin/rpcgen".

Please file separate bug reports for net-fs/samba and net-firewall/xtables-addons.